<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PPMT (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PPMT (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PPMT.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Offset.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Quotient.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/PPMT.html"
               target="_top">Frames</a></li>
        <li><a href="PPMT.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ss.formula.functions.NumericFunction">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.ss.formula.functions.NumericFunction">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.formula.functions</div>
    <h2 title="Class PPMT" class="title">Class PPMT</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html"
                       title="class in org.apache.poi.ss.formula.functions">org.apache.poi.ss.formula.functions.NumericFunction</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.ss.formula.functions.PPMT</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/formula/functions/Function.html"
                           title="interface in org.apache.poi.ss.formula.functions">Function</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">PPMT</span>
extends <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html"
           title="class in org.apache.poi.ss.formula.functions">NumericFunction</a></pre>
                <div class="block">Compute the interest portion of a payment.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Mike Argyriou micharg@gmail.com</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.formula.functions.NumericFunction">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ss.formula.functions.<a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html"
                                        title="class in org.apache.poi.ss.formula.functions">NumericFunction</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.OneArg.html"
                                        title="class in org.apache.poi.ss.formula.functions">NumericFunction.OneArg</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.TwoArg.html"
                                       title="class in org.apache.poi.ss.formula.functions">NumericFunction.TwoArg</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.ss.formula.functions.NumericFunction">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.ss.formula.functions.<a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html"
                                        title="class in org.apache.poi.ss.formula.functions">NumericFunction</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#ABS">ABS</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#ACOS">ACOS</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#ACOSH">ACOSH</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#ASIN">ASIN</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#ASINH">ASINH</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#ATAN">ATAN</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#ATAN2">ATAN2</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#ATANH">ATANH</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#CEILING">CEILING</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#COMBIN">COMBIN</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#COS">COS</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#COSH">COSH</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#DEGREES">DEGREES</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#DOLLAR">DOLLAR</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#EXP">EXP</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#FACT">FACT</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#FLOOR">FLOOR</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#INT">INT</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#LN">LN</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#LOG">LOG</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#LOG10">LOG10</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#MOD">MOD</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#PI">PI</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#POISSON">POISSON</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#POWER">POWER</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#RADIANS">RADIANS</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#RAND">RAND</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#ROUND">ROUND</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#ROUNDDOWN">ROUNDDOWN</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#ROUNDUP">ROUNDUP</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#SIGN">SIGN</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#SIN">SIN</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#SINH">SINH</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#SQRT">SQRT</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#TAN">TAN</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#TANH">TANH</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#TRUNC">TRUNC</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/PPMT.html#PPMT--">PPMT</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/PPMT.html#eval-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-">eval</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>[]&nbsp;args,
                                    int&nbsp;srcCellRow,
                                    int&nbsp;srcCellCol)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.functions.NumericFunction">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.formula.functions.<a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html"
                                        title="class in org.apache.poi.ss.formula.functions">NumericFunction</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#checkValue-double-">checkValue</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#evaluate-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-">evaluate</a>,
                                    <a href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#singleOperandEvaluate-org.apache.poi.ss.formula.eval.ValueEval-int-int-">singleOperandEvaluate</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PPMT--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PPMT</h4>
                                <pre>public&nbsp;PPMT()</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="eval-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>eval</h4>
                                <pre>public&nbsp;double&nbsp;eval(<a
                                        href="../../../../../../org/apache/poi/ss/formula/eval/ValueEval.html"
                                        title="interface in org.apache.poi.ss.formula.eval">ValueEval</a>[]&nbsp;args,
                   int&nbsp;srcCellRow,
                   int&nbsp;srcCellCol)
            throws <a href="../../../../../../org/apache/poi/ss/formula/eval/EvaluationException.html"
                      title="class in org.apache.poi.ss.formula.eval">EvaluationException</a></pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html#eval-org.apache.poi.ss.formula.eval.ValueEval:A-int-int-">eval</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/ss/formula/functions/NumericFunction.html"
                                                title="class in org.apache.poi.ss.formula.functions">NumericFunction</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/ss/formula/eval/EvaluationException.html"
                                            title="class in org.apache.poi.ss.formula.eval">EvaluationException</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PPMT.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Offset.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/functions/Quotient.html"
               title="class in org.apache.poi.ss.formula.functions"><span
                class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/functions/PPMT.html"
               target="_top">Frames</a></li>
        <li><a href="PPMT.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ss.formula.functions.NumericFunction">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.ss.formula.functions.NumericFunction">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
